estimator_fmcw.h File Reference
`#include <gnuradio/block.h>`
`#include <radar/api.h>`

Go to the source code of this file.

## Classes

class | gr::radar::estimator_fmcw

This block estimates range and veloicty from peaks of a FMCW spectrum. Input messages are data with the identifier 'frequency' of the up-chirp, down-chirp and CW part. If data is available on all three message ports the estimation starts. The velocity is estimated with the frequency information of the CW block and the range is estimated with the up and down chirp. If multiple frequencies are given, the velocity is estimated first and associated with the most likely range from the up- and down-chirp. The output identifiers are 'range' and 'velocity'. More...

## Namespaces

namespace | gr
namespace | gr::radar